Loading...
Searching...
No Matches
l4_thread_regs_t Struct Reference
Base API » Object Invocation » Virtual Registers (UTCBs) » Thread Control Registers (TCRs)

Encapsulation of the thread-control-register block of the UTCB. More...

`#include <utcb.h>`

Collaboration diagram for l4_thread_regs_t:

## Data Fields

l4_umword_t | error
| System call error code (see l4_ipc_tcr_error_t).
l4_umword_t | free_marker
| Kernel free marker.
l4_umword_t | user [3]
| User values (ignored and preserved by the kernel).

## Detailed Description

Encapsulation of the thread-control-register block of the UTCB.

Definition at line 99 of file utcb.h.

## Field Documentation

## error

l4_umword_t l4_thread_regs_t::error

System call error code (see l4_ipc_tcr_error_t).

If the kernel indicates an error in the message tag (see l4_msgtag_has_error() and l4_msgtag_t::has_error()), the kernel writes the error code to this field.

Definition at line 106 of file utcb.h.

## free_marker

l4_umword_t l4_thread_regs_t::free_marker

Kernel free marker.

The kernel sets this field to zero as soon as it is guaranteed that the kernel does not use the UTCB anymore for the bound thread. This usually happens while a thread is deleted. However, it is not defined when exactly the kernel sets the field. In particular, the point in time is not necessarily related to any IPC.

Userland may use this field for determining if a UTCB can be re-used for another thread. Note that, in order to make use of that feature, userland has to set this field to a non-zero value when a thread is bound with this UTCB.

Definition at line 120 of file utcb.h.

The documentation for this struct was generated from the following file:

- l4/sys/utcb.h